Page MenuHomePhabricator

Vector: Add styles to improve experience on low-resolution devices
Closed, ResolvedPublic

Description

My idea is to show the navigation menu below content instead of to the side of it. But first there are a couple other issues to be fixed, see parent task T46386.

See Also: T16501

Details

Reference
bz44387

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:14 AM
bzimport added projects: Vector, Accessibility, Design.
bzimport set Reference to bz44387.
bzimport added a subscriber: Unknown Object (MLST).
matmarex created this task.Jan 26 2013, 4:35 PM

[Mentioning the bug number in the Gerrit commit message is probably welcome.]

Yes, of course I'll mention it. That patchset is currently on hold until issues from parent bug are sorted out.

(Abandoned my patch for now. It's dreadfully incomplete, slightly outdated and can at best serve as a baseline for further work, for which I don't have time right now and I don't want to cookie-lick.)

I submitted this as a possible GSOC project: https://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects#Add_low-resolution_styles_for_Vector

Qgil added a comment.Oct 30 2013, 8:22 PM

(In reply to comment #3)

I submitted this as a possible GSOC project:
https://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects#Add_low-
resolution_styles_for_Vector

Are you interested in proposing it as an Outreach Program for Women proposal? If so, please move it to the "Featured projects" section. This way it will be automatically transcluded in https://www.mediawiki.org/wiki/Outreach_Program_for_Women/Round_7

Thank you!

I could probably mentor it (assuming my other duties leave me enough time for this), but people from WMF's design team would probably like to have a say in whatever people come up with as a solution here, and some of them are vehement about their design-related opinions :)

If I get a designer to vet whatever comes up, as it comes up – essentially to
co-mentor – or if I am given a free hand in deciding myself and a promise that no one will shout at me too much with regards to the results, then sign me up. Otherwise this probably can't be done.

Qgil added a comment.Oct 30 2013, 8:52 PM

CCing Jared from the WMF UX Design team. Jared, please see below.

This sounds like the work Jon Robson is doing, extending MobileFrontend to tablet formfactors.

This has absolutely no relation to MobileFrontend in any way. So, no.

Let me clarify, The direction I'd propose is to move up from mobile skin, not down from vector.

When designing the mobile skin we are thinking a lot about a mobile first design that scales to desktop and provides all the functionality of desktop. I'm hoping at some point Vector and the mobile skin (aka Minerva) will converge into some kind of Minervavector.

I'm also hoping mediawiki ui will help a lot in this process but I think it's a big goal (Any help most welcomed)!

(In reply to comment #9)

Let me clarify, The direction I'd propose is to move up from mobile skin, not
down from vector.

MobileFrontend is not a mobile skin. Hell, it's not a skin at all when it damn right ought to have been from the very beginning. It's not included in core MediaWiki and it's not bundled, so it's not installed on almost all third-party wikis. Improving the core skin seems worthwhile to me.

(In reply to comment #10)

When designing the mobile skin we are thinking a lot about a mobile first
design that scales to desktop and provides all the functionality of desktop.
I'm hoping at some point Vector and the mobile skin (aka Minerva) will
converge into some kind of Minervavector.

But you currently don't provide the full functionality, making MobileFrontend insufficient for some heavy editing work. I am too hoping this will change in the future, but the status quo is that MobileFrontend is not fully-featured.

I'm also hoping mediawiki ui will help a lot in this process but I think
it's a big goal (Any help most welcomed)!

This has absolutely no relation to mediawiki.ui, either.

Anyway, Quim, it looks like the WMF support necessary to make this an OPW project is not there :(

(In reply to comment #11)

(In reply to comment #9)

Let me clarify, The direction I'd propose is to move up from mobile skin, not
down from vector.

MobileFrontend is not a mobile skin. Hell, it's not a skin at all when it
damn
right ought to have been from the very beginning.

Technically it's secret is it /is/ a skin. it's just not a /registered/ skin. There however are various things that need to be resolved before mobile code can be upstreamed to core but that /is/ the goal from my point of view.

The magic you need is:
$wgValidSkinNames['minerva'] = "Minerva";

It's not included in core

MediaWiki and it's not bundled, so it's not installed on almost all
third-party
wikis. Improving the core skin seems worthwhile to me.

Correct but I think what Jared is getting at is we should be upstreaming stuff from mobile into core. Now we have LESS in core this is very much possible. You can import from the global namespace, so mobile can inherit from styles in core.

But you currently don't provide the full functionality, making MobileFrontend
insufficient for some heavy editing work. I am too hoping this will change in
the future, but the status quo is that MobileFrontend is not fully-featured.

Yes but we have full control to change this. Things that are not surfaced in the mobile view could be surfaced in the desktop view :-)

I'm also hoping mediawiki ui will help a lot in this process but I think
it's a big goal (Any help most welcomed)!

This has absolutely no relation to mediawiki.ui, either.

How so? I would like the desktop skin and mobile skin to use consistent fonts, icons and button styling. MediaWiki UI will achieve this.

(In reply to comment #12)

I'm also hoping mediawiki ui will help a lot in this process but I think
it's a big goal (Any help most welcomed)!

This has absolutely no relation to mediawiki.ui, either.

How so?

Because this bug is about, to quote its summary, adding low-resolution styles for Vector. Out of these mediawiki.ui is only related to 'styles'.

vladjohn2013 wrote:

Hi, this project is still listed at https:https://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects#Add_low-resolution_styles_for_Vector

Should this project be still listed in that page? If not, please remove it. If it still makes sense, then it could be moved to the "Featured projects" section if it has community support and mentors.

Paladox set Security to None.Jun 26 2015, 9:00 PM

Change 220667 had a related patch set uploaded (by Legoktm):
Make Vector more responsive

https://gerrit.wikimedia.org/r/220667

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2015, 4:54 PM

Change 220667 merged by jenkins-bot:
Make Vector more responsive

https://gerrit.wikimedia.org/r/220667

matmarex closed this task as Resolved.Jul 18 2015, 6:25 PM
matmarex updated the task description. (Show Details)
matmarex removed a project: Patch-For-Review.
matmarex removed subscribers: gerritbot, wikibugs-l-list.

Resolved by joint effort.

Full size
Small screen
Nemo_bis added a subscriber: Pginer-WMF.EditedJul 18 2015, 7:38 PM

Nice; it would be interesting to recycle some of that in (Translate's and) ContentTranslation's full-screen mode (or vice versa).

Also known as T16501: A way to hide the sidebar providing a "fullscreen" view :)

By the way, T106226 is about enabling this on testwiki.